Debian Bug report logs - #627951
linux-image-2.6.39-1-amd64: Resume from hibernate reboots after loading pages from disk

version graph

Package: nvidia-kernel-dkms; Maintainer for nvidia-kernel-dkms is Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>; Source for nvidia-kernel-dkms is src:nvidia-graphics-drivers.

Reported by: Phil Miller <unmobile+debbugs@gmail.com>

Date: Wed, 25 May 2011 19:39:01 UTC

Severity: normal

Tags: sid

Found in versions nvidia-graphics-drivers/275.09.04-1, nvidia-graphics-drivers/270.41.06-1

Done: Andreas Beckmann <debian@abeckmann.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#627951; Package linux-2.6. (Wed, 25 May 2011 19:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Phil Miller <unmobile+debbugs@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 25 May 2011 19:39:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Phil Miller <unmobile+debbugs@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: linux-image-2.6.39-1-amd64: Resume from hibernate reboots after loading pages from disk
Date: Wed, 25 May 2011 14:34:29 -0500
Package: linux-2.6
Version: 2.6.39-1+b1
Severity: normal
Tags: sid

Steps to reproduce:
1. From the Gnome 2 'System' menu, select "Shut Down..." and click on "Hibernate" in the dialog
that appears
2. Watch system as data is written out to disk
3. System powers itself off
4. Press power button to turn on
5. Wait for grub to boot the same kernel

Expected results
1. Kernel loads memory image from disk
2. Session reappears as it was when hibernated

Actual results
1. Kernel loads the memory image apparently up to 100%
2. System reboots
3. No resume image is found
4. Filesystem journals are recovered before mount

I can reproduce this 100% of attempts. This issue does not occur on 2.6.38-[12].

Based on seeing other bug reports (e.g. #624169) that mention kernel panics on resume, I tried
adding the boot command panic=120 to capture a picture of any stack trace before the reboot.
This produced no change in behavior - the system still reboot with no apparent delay.

My experience matches that described in the initial report of bug #623426, though the versions
involved differ.

-- Package-specific info:
** Version:
Linux version 2.6.39-1-amd64 (Debian 2.6.39-1) (buildd_amd64-brahms@buildd.debian.org) (gcc version 4.4.6 (Debian 4.4.6-3) ) #1 SMP Tue May 24 14:34:19 UTC 2011

** Command line:
BOOT_IMAGE=/boot/vmlinuz-2.6.39-1-amd64 root=UUID=3e436e2a-5d44-49aa-a1f1-d6d8e67b1b08 ro quiet

** Tainted: PO (4097)
 * Proprietary module has been loaded.
 * Out-of-tree module has been loaded.

** Kernel log:
[    3.499599] input: Microsoft Microsoft IntelliMouse® Explorer as /devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.5/2-1.5:1.0/input/input1
[    3.499646] generic-usb 0003:045E:001E.0001: input,hidraw0: USB HID v1.00 Mouse [Microsoft Microsoft IntelliMouse® Explorer] on usb-0000:00:1d.0-1.5/input0
[    3.499658] usbcore: registered new interface driver usbhid
[    3.499659] usbhid: USB HID core driver
[    3.501033] sr0: scsi3-mmc drive: 12x/48x cd/rw xa/form2 cdda tray
[    3.501038] cdrom: Uniform CD-ROM driver Revision: 3.20
[    3.501151] sr 2:0:0:0: Attached scsi CD-ROM sr0
[    3.553031]  sda: sda1 sda2 < sda5 sda6 sda7 >
[    3.553299] sd 0:0:0:0: [sda] Attached SCSI disk
[    3.556127] sd 0:0:0:0: Attached scsi generic sg0 type 0
[    3.556153] sr 2:0:0:0: Attached scsi generic sg1 type 5
[    4.178696] PM: Starting manual resume from disk
[    4.178698] PM: Hibernation image partition 8:6 present
[    4.178699] PM: Looking for hibernation image.
[    4.190650] PM: Image not found (code -22)
[    4.190653] PM: Hibernation image not present or could not be loaded.
[    4.192718] PM: Marking nosave pages: 000000000009e000 - 0000000000100000
[    4.192721] PM: Marking nosave pages: 00000000bd780000 - 0000000100000000
[    4.193883] PM: Basic memory bitmaps created
[    4.214306] PM: Basic memory bitmaps freed
[    4.224952] EXT3-fs (sda5): recovery required on readonly filesystem
[    4.224957] EXT3-fs (sda5): write access will be enabled during recovery
[    4.261613] EXT3-fs: barriers not enabled
[    4.340223] kjournald starting.  Commit interval 5 seconds
[    4.340248] EXT3-fs (sda5): recovery complete
[    4.340562] EXT3-fs (sda5): mounted filesystem with ordered data mode
[    5.724215] udevd[292]: starting version 170
[    6.546184] input: Power Button as /devices/LNXSYSTM:00/device:00/PNP0C0C:00/input/input2
[    6.546189] ACPI: Power Button [PWRB]
[    6.546225] input: Power Button as /devices/LNXSYSTM:00/LNXPWRBN:00/input/input3
[    6.546228] ACPI: Power Button [PWRF]
[    6.723799] input: PC Speaker as /devices/platform/pcspkr/input/input4
[    6.854560] ACPI: acpi_idle registered with cpuidle
[    6.856309] Monitor-Mwait will be used to enter C-1 state
[    6.856324] Monitor-Mwait will be used to enter C-2 state
[    6.856337] Monitor-Mwait will be used to enter C-3 state
[    6.940797] i801_smbus 0000:00:1f.3: PCI INT C -> GSI 18 (level, low) -> IRQ 18
[    7.012434] dcdbas dcdbas: Dell Systems Management Base Driver (version 5.6.0-3.2)
[    7.807607] HDA Intel 0000:00:1b.0: PCI INT A -> GSI 22 (level, low) -> IRQ 22
[    7.807649] HDA Intel 0000:00:1b.0: irq 46 for MSI/MSI-X
[    7.807669] HDA Intel 0000:00:1b.0: setting latency timer to 64
[    7.915623] hda_codec: ALC662 rev1: BIOS auto-probing.
[    7.920393] input: HDA Intel Headphone as /devices/pci0000:00/0000:00:1b.0/sound/card0/input5
[    8.210086] Disabling lock debugging due to kernel taint
[    8.210091] nvidia: module license 'NVIDIA' taints kernel.
[    8.666927] nvidia 0000:01:00.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
[    8.666939] nvidia 0000:01:00.0: setting latency timer to 64
[    8.666946] vgaarb: device changed decodes: PCI:0000:01:00.0,olddecodes=io+mem,decodes=none:owns=io+mem
[    8.667105] NVRM: loading NVIDIA UNIX x86_64 Kernel Module  270.41.06  Mon Apr 18 14:53:56 PDT 2011
[   10.598639] Adding 15623176k swap on /dev/sda6.  Priority:-1 extents:1 across:15623176k 
[   10.724100] EXT3-fs (sda5): using internal journal
[   10.897110] loop: module loaded
[   26.777098] EXT3-fs: barriers not enabled
[   26.790888] kjournald starting.  Commit interval 5 seconds
[   26.791388] EXT3-fs (sda7): using internal journal
[   26.791395] EXT3-fs (sda7): mounted filesystem with ordered data mode
[   27.173114] tg3 0000:02:00.0: irq 47 for MSI/MSI-X
[   27.191269] ADDRCONF(NETDEV_UP): eth0: link is not ready
[   27.482493] tg3 0000:02:00.0: eth0: Link is down
[   30.477201] tg3 0000:02:00.0: eth0: Link is up at 1000 Mbps, full duplex
[   30.477204] tg3 0000:02:00.0: eth0: Flow control is on for TX and on for RX
[   30.477459] ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
[   36.616508] RPC: Registered udp transport module.
[   36.616510] RPC: Registered tcp transport module.
[   36.616511] RPC: Registered tcp NFSv4.1 backchannel transport module.
[   36.689830] FS-Cache: Loaded
[   36.736400] FS-Cache: Netfs 'nfs' registered for caching
[   36.762568] Installing knfsd (copyright (C) 1996 okir@monad.swb.de).
[   37.057501] fuse init (API version 7.16)
[   37.392115] vboxdrv: Found 8 processor cores.
[   37.393569] vboxdrv: fAsync=0 offMin=0x207 offMax=0x2fcaa
[   37.393606] vboxdrv: TSC mode is 'synchronous', kernel timer mode is 'normal'.
[   37.393608] vboxdrv: Successfully loaded version 4.0.4_OSE (interface 0x00160000).
[   37.434559] vboxnet0: Features changed: 0x00004800 -> 0x00004000
[   40.347110] Bluetooth: Core ver 2.16
[   40.347124] NET: Registered protocol family 31
[   40.347125] Bluetooth: HCI device and connection manager initialized
[   40.347128] Bluetooth: HCI socket layer initialized
[   40.347129] Bluetooth: L2CAP socket layer initialized
[   40.347250] Bluetooth: SCO socket layer initialized
[   40.550138] Bluetooth: BNEP (Ethernet Emulation) ver 1.3
[   40.550140] Bluetooth: BNEP filters: protocol multicast
[   40.553731] Bluetooth: RFCOMM TTY layer initialized
[   40.553739] Bluetooth: RFCOMM socket layer initialized
[   40.553743] Bluetooth: RFCOMM ver 1.11
[   41.381463] eth0: no IPv6 routers present
[   42.132892] lp: driver loaded but no devices found
[   42.259051] ppdev: user-space parallel port driver
[   43.385146] ioremap error for 0xbd780000-0xbd781000, requested 0x10, got 0x0
[   67.975471] CE: hpet2 increased min_delta_ns to 7500 nsec
[   67.975479] CE: hpet2 increased min_delta_ns to 11250 nsec
[   67.975484] hrtimer: interrupt took 3080 ns
[  162.951965] CE: hpet4 increased min_delta_ns to 7500 nsec
[  162.951973] CE: hpet4 increased min_delta_ns to 11250 nsec
[  205.541810] CE: hpet3 increased min_delta_ns to 7500 nsec
[  205.541872] CE: hpet3 increased min_delta_ns to 11250 nsec
[  243.787802] CE: hpet6 increased min_delta_ns to 7500 nsec
[  243.787831] CE: hpet6 increased min_delta_ns to 11250 nsec
[  258.725936] CE: hpet5 increased min_delta_ns to 7500 nsec
[  258.725945] CE: hpet5 increased min_delta_ns to 11250 nsec

** Model information
sys_vendor: Dell Inc.
product_name: Precision T1500
product_version: 00
chassis_vendor: Dell Inc.
chassis_version:  
bios_vendor: Dell Inc.
bios_version: 2.0.3
board_vendor: Dell Inc.
board_name: 0XC7MM
board_version: A01

** Loaded modules:
Module                  Size  Used by
acpi_cpufreq           12849  1 
mperf                  12411  1 acpi_cpufreq
cpufreq_powersave      12454  0 
cpufreq_userspace      12576  0 
cpufreq_stats          12713  0 
cpufreq_conservative    13147  0 
parport_pc             22191  0 
ppdev                  12725  0 
lp                     17190  0 
parport                31650  3 parport_pc,ppdev,lp
rfcomm                 32744  0 
bnep                   17424  2 
bluetooth             107224  10 rfcomm,bnep
rfkill                 19014  3 bluetooth
crc16                  12343  1 bluetooth
vboxnetadp             13143  0 
binfmt_misc            12914  1 
vboxnetflt             24179  0 
vboxdrv               171737  2 vboxnetadp,vboxnetflt
fuse                   61554  1 
nfsd                  258506  2 
nfs                   251154  0 
lockd                  70844  2 nfsd,nfs
fscache                36071  1 nfs
auth_rpcgss            36788  2 nfsd,nfs
nfs_acl                12511  2 nfsd,nfs
sunrpc                162130  6 nfsd,nfs,lockd,auth_rpcgss,nfs_acl
loop                   22479  0 
nvidia              10482591  30 
snd_hda_codec_realtek   283734  1 
snd_hda_intel          25946  1 
snd_hda_codec          67865  2 snd_hda_codec_realtek,snd_hda_intel
snd_hwdep              13148  1 snd_hda_codec
snd_pcm_oss            40662  0 
snd_mixer_oss          17905  1 snd_pcm_oss
snd_pcm                67276  3 snd_hda_intel,snd_hda_codec,snd_pcm_oss
snd_seq_midi           12848  0 
snd_rawmidi            22963  1 snd_seq_midi
snd_seq_midi_event     13316  1 snd_seq_midi
snd_seq                44678  2 snd_seq_midi,snd_seq_midi_event
snd_timer              22658  2 snd_pcm,snd_seq
snd_seq_device         13155  3 snd_seq_midi,snd_rawmidi,snd_seq
snd                    52324  13 snd_hda_codec_realtek,snd_hda_intel,snd_hda_codec,snd_hwdep,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_rawmidi,snd_seq,snd_timer,snd_seq_device
dcdbas                 13256  0 
i2c_i801               16870  0 
i2c_core               23766  2 nvidia,i2c_i801
soundcore              13014  1 snd
processor              27431  9 acpi_cpufreq
snd_page_alloc         12969  2 snd_hda_intel,snd_pcm
evdev                  17475  7 
pcspkr                 12579  0 
thermal_sys            17939  1 processor
button                 12895  0 
ext3                  112254  2 
jbd                    41698  1 ext3
mbcache                12930  1 ext3
sg                     25769  0 
sr_mod                 21824  0 
sd_mod                 35644  4 
cdrom                  35134  1 sr_mod
usbhid                 39946  0 
crc_t10dif             12348  1 sd_mod
hid                    72745  1 usbhid
ahci                   25089  3 
ehci_hcd               39487  0 
libahci                22616  1 ahci
tg3                   109263  0 
libata                151572  2 ahci,libahci
broadcom               13040  0 
libphy                 18759  2 tg3,broadcom
scsi_mod              161557  4 sg,sr_mod,sd_mod,libata
usbcore               127203  3 usbhid,ehci_hcd

** PCI devices:
00:00.0 Host bridge [0600]: Intel Corporation Core Processor DMI [8086:d131] (rev 11)
	Subsystem: Dell Device [1028:0427]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Capabilities: <access denied>

00:03.0 PCI bridge [0604]: Intel Corporation Core Processor PCI Express Root Port 1 [8086:d138] (rev 11) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 32 bytes
	Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
	I/O behind bridge: 0000e000-0000efff
	Memory behind bridge: f8000000-fbefffff
	Prefetchable memory behind bridge: 00000000c0000000-00000000dfffffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR+ NoISA- VGA+ MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:08.0 System peripheral [0880]: Intel Corporation Core Processor System Management Registers [8086:d155] (rev 11)
	Subsystem: Device [0028:0027]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Capabilities: <access denied>

00:08.1 System peripheral [0880]: Intel Corporation Core Processor Semaphore and Scratchpad Registers [8086:d156] (rev 11)
	Subsystem: Device [0028:0027]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Capabilities: <access denied>

00:08.2 System peripheral [0880]: Intel Corporation Core Processor System Control and Status Registers [8086:d157] (rev 11)
	Subsystem: Device [0028:0027]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Capabilities: <access denied>

00:08.3 System peripheral [0880]: Intel Corporation Core Processor Miscellaneous Registers [8086:d158] (rev 11)
	Subsystem: Device [0028:0027]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-

00:10.0 System peripheral [0880]: Intel Corporation Core Processor QPI Link [8086:d150] (rev 11)
	Subsystem: Device [0028:0027]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-

00:10.1 System peripheral [0880]: Intel Corporation Core Processor QPI Routing and Protocol Registers [8086:d151] (rev 11)
	Subsystem: Device [0028:0027]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-

00:16.0 Communication controller [0780]: Intel Corporation 5 Series/3400 Series Chipset HECI Controller [8086:3b64] (rev 06)
	Subsystem: Dell Device [1028:0427]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 10
	Region 0: Memory at f7fffc00 (64-bit, non-prefetchable) [size=16]
	Capabilities: <access denied>

00:1a.0 USB Controller [0c03]: Intel Corporation 5 Series/3400 Series Chipset USB2 Enhanced Host Controller [8086:3b3c] (rev 06) (prog-if 20 [EHCI])
	Subsystem: Dell Device [1028:0427]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 16
	Region 0: Memory at f7c00000 (32-bit, non-prefetchable) [size=1K]
	Capabilities: <access denied>
	Kernel driver in use: ehci_hcd

00:1b.0 Audio device [0403]: Intel Corporation 5 Series/3400 Series Chipset High Definition Audio [8086:3b56] (rev 06)
	Subsystem: Dell Device [1028:0427]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 46
	Region 0: Memory at f7ff8000 (64-bit, non-prefetchable) [size=16K]
	Capabilities: <access denied>
	Kernel driver in use: HDA Intel

00:1c.0 PCI bridge [0604]: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 1 [8086:3b42] (rev 06) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 32 bytes
	Bus: primary=00, secondary=02, subordinate=02, sec-latency=0
	I/O behind bridge: 00001000-00001fff
	Memory behind bridge: fbf00000-fbffffff
	Prefetchable memory behind bridge: 00000000be000000-00000000be1fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR+ NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:1d.0 USB Controller [0c03]: Intel Corporation 5 Series/3400 Series Chipset USB2 Enhanced Host Controller [8086:3b34] (rev 06) (prog-if 20 [EHCI])
	Subsystem: Dell Device [1028:0427]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 23
	Region 0: Memory at f7a00000 (32-bit, non-prefetchable) [size=1K]
	Capabilities: <access denied>
	Kernel driver in use: ehci_hcd

00:1e.0 PCI bridge [0604]: Intel Corporation 82801 PCI Bridge [8086:244e] (rev a6) (prog-if 01 [Subtractive decode])
	Control: I/O- Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Bus: primary=00, secondary=03, subordinate=03, sec-latency=32
	Secondary status: 66MHz- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR+ NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>

00:1f.0 ISA bridge [0601]: Intel Corporation 5 Series Chipset LPC Interface Controller [8086:3b08] (rev 06)
	Subsystem: Dell Device [1028:0427]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Capabilities: <access denied>

00:1f.2 SATA controller [0106]: Intel Corporation 5 Series/3400 Series Chipset 6 port SATA AHCI Controller [8086:3b22] (rev 06) (prog-if 01 [AHCI 1.0])
	Subsystem: Dell Device [1028:0427]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin B routed to IRQ 45
	Region 0: I/O ports at dc00 [size=8]
	Region 1: I/O ports at d880 [size=4]
	Region 2: I/O ports at d800 [size=8]
	Region 3: I/O ports at d480 [size=4]
	Region 4: I/O ports at d400 [size=32]
	Region 5: Memory at f7800000 (32-bit, non-prefetchable) [size=2K]
	Capabilities: <access denied>
	Kernel driver in use: ahci

00:1f.3 SMBus [0c05]: Intel Corporation 5 Series/3400 Series Chipset SMBus Controller [8086:3b30] (rev 06)
	Subsystem: Dell Device [1028:0427]
	Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin C routed to IRQ 18
	Region 0: Memory at f7fff800 (64-bit, non-prefetchable) [size=256]
	Region 4: I/O ports at 0400 [size=32]
	Kernel driver in use: i801_smbus

01:00.0 VGA compatible controller [0300]: nVidia Corporation G96 [Quadro FX 580] [10de:0659] (rev a1) (prog-if 00 [VGA controller])
	Subsystem: nVidia Corporation Device [10de:063a]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 16
	Region 0: Memory at fa000000 (32-bit, non-prefetchable) [size=16M]
	Region 1: Memory at c0000000 (64-bit, prefetchable) [size=512M]
	Region 3: Memory at f8000000 (64-bit, non-prefetchable) [size=32M]
	Region 5: I/O ports at ec00 [size=128]
	[virtual] Expansion ROM at fbe80000 [disabled] [size=512K]
	Capabilities: <access denied>
	Kernel driver in use: nvidia

02:00.0 Ethernet controller [0200]: Broadcom Corporation NetLink BCM57780 Gigabit Ethernet PCIe [14e4:1692] (rev 01)
	Subsystem: Dell Device [1028:0427]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 47
	Region 0: Memory at fbff0000 (64-bit, non-prefetchable) [size=64K]
	Capabilities: <access denied>
	Kernel driver in use: tg3


** USB devices:
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 001 Device 002: ID 8087:0020 Intel Corp. Integrated Rate Matching Hub
Bus 002 Device 002: ID 8087:0020 Intel Corp. Integrated Rate Matching Hub
Bus 002 Device 003: ID 045e:001e Microsoft Corp. IntelliMouse Explorer


-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.39-1-amd64 (SMP w/8 CPU cores)
Locale: LANG=en_US.utf8, LC_CTYPE=en_US.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages linux-image-2.6.39-1-amd64 depends on:
ii  debconf [debconf-2.0]         1.5.39     Debian configuration management sy
ii  initramfs-tools [linux-initra 0.99       tools for generating an initramfs
ii  linux-base                    3.2        Linux image base package
ii  module-init-tools             3.12-1     tools for managing Linux kernel mo

Versions of packages linux-image-2.6.39-1-amd64 recommends:
ii  firmware-linux-free           3          Binary firmware for various driver

Versions of packages linux-image-2.6.39-1-amd64 suggests:
ii  grub-pc                       1.99-4     GRand Unified Bootloader, version 
ii  linux-doc-2.6.39              2.6.39-1   Linux kernel specific documentatio

Versions of packages linux-image-2.6.39-1-amd64 is related to:
pn  firmware-bnx2                 <none>     (no description available)
pn  firmware-bnx2x                <none>     (no description available)
pn  firmware-ipw2x00              <none>     (no description available)
pn  firmware-ivtv                 <none>     (no description available)
pn  firmware-iwlwifi              <none>     (no description available)
pn  firmware-linux                <none>     (no description available)
pn  firmware-linux-nonfree        <none>     (no description available)
pn  firmware-qlogic               <none>     (no description available)
pn  firmware-ralink               <none>     (no description available)
pn  xen-hypervisor                <none>     (no description available)

-- debconf information:
* linux-image-2.6.39-1-amd64/postinst/missing-firmware-2.6.39-1-amd64:
  linux-image-2.6.39-1-amd64/prerm/removing-running-kernel-2.6.39-1-amd64: true
  linux-image-2.6.39-1-amd64/postinst/ignoring-ramdisk:
  linux-image-2.6.39-1-amd64/postinst/depmod-error-initrd-2.6.39-1-amd64: false




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#627951; Package linux-2.6. (Wed, 25 May 2011 20:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <max@stro.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 25 May 2011 20:15:03 GMT) Full text and rfc822 format available.

Message #10 received at 627951@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: Phil Miller <unmobile+debbugs@gmail.com>, 627951@bugs.debian.org
Subject: Re: Bug#627951: linux-image-2.6.39-1-amd64: Resume from hibernate reboots after loading pages from disk
Date: Wed, 25 May 2011 20:10:41 +0000
tags 627951 wontfix moreinfo
stop

On Wed, May 25, 2011 at 02:34:29PM -0500, Phil Miller wrote:
> Package: linux-2.6
> Version: 2.6.39-1+b1
> Severity: normal
> Tags: sid
> 
> Steps to reproduce:
> 1. From the Gnome 2 'System' menu, select "Shut Down..." and click on "Hibernate" in the dialog
> that appears
> 2. Watch system as data is written out to disk
> 3. System powers itself off
> 4. Press power button to turn on
> 5. Wait for grub to boot the same kernel
> 
> Expected results
> 1. Kernel loads memory image from disk
> 2. Session reappears as it was when hibernated
> 
> Actual results
> 1. Kernel loads the memory image apparently up to 100%
> 2. System reboots
> 3. No resume image is found
> 4. Filesystem journals are recovered before mount
> 
> I can reproduce this 100% of attempts. This issue does not occur on 2.6.38-[12].
> 
> Based on seeing other bug reports (e.g. #624169) that mention kernel panics on resume, I tried
> adding the boot command panic=120 to capture a picture of any stack trace before the reboot.
> This produced no change in behavior - the system still reboot with no apparent delay.
> 
> My experience matches that described in the initial report of bug #623426, though the versions
> involved differ.

please try to reproduce with nouveau and not binary nvidia
and post respective dmesg.
Your linux-2.6 kernel is tainted thus any support from us is void.

thank you for your feedback.

-- 
maks
 




Added tag(s) moreinfo and wontfix. Request was from maximilian attems <max@stro.at> to control@bugs.debian.org. (Wed, 25 May 2011 20:15:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#627951; Package linux-2.6. (Thu, 26 May 2011 02:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Phil Miller <unmobile@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 26 May 2011 02:18:03 GMT) Full text and rfc822 format available.

Message #17 received at 627951@bugs.debian.org (full text, mbox):

From: Phil Miller <unmobile@gmail.com>
To: maximilian attems <max@stro.at>
Cc: 627951@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#627951: linux-image-2.6.39-1-amd64: Resume from hibernate reboots after loading pages from disk
Date: Wed, 25 May 2011 21:15:26 -0500
reassign 627951 nvidia-kernel-dkms
stop

When I switched away from the proprietary Nvidia driver, the problem
disappeared (two successful hibernate/resume cycles in a row). So it
looks like the issue is probably on Nvidia's side. I haven't found
anything else on the net about this yet, though.

On Wed, May 25, 2011 at 15:10, maximilian attems <max@stro.at> wrote:
> tags 627951 wontfix moreinfo
> stop
>
> On Wed, May 25, 2011 at 02:34:29PM -0500, Phil Miller wrote:
>> Package: linux-2.6
>> Version: 2.6.39-1+b1
>> Severity: normal
>> Tags: sid
>>
>> Steps to reproduce:
>> 1. From the Gnome 2 'System' menu, select "Shut Down..." and click on "Hibernate" in the dialog
>> that appears
>> 2. Watch system as data is written out to disk
>> 3. System powers itself off
>> 4. Press power button to turn on
>> 5. Wait for grub to boot the same kernel
>>
>> Expected results
>> 1. Kernel loads memory image from disk
>> 2. Session reappears as it was when hibernated
>>
>> Actual results
>> 1. Kernel loads the memory image apparently up to 100%
>> 2. System reboots
>> 3. No resume image is found
>> 4. Filesystem journals are recovered before mount
>>
>> I can reproduce this 100% of attempts. This issue does not occur on 2.6.38-[12].
>>
>> Based on seeing other bug reports (e.g. #624169) that mention kernel panics on resume, I tried
>> adding the boot command panic=120 to capture a picture of any stack trace before the reboot.
>> This produced no change in behavior - the system still reboot with no apparent delay.
>>
>> My experience matches that described in the initial report of bug #623426, though the versions
>> involved differ.
>
> please try to reproduce with nouveau and not binary nvidia
> and post respective dmesg.
> Your linux-2.6 kernel is tainted thus any support from us is void.
>
> thank you for your feedback.
>
> --
> maks
>
>




Bug reassigned from package 'linux-2.6' to 'nvidia-kernel-dkms'. Request was from Phil Miller <unmobile@gmail.com> to control@bugs.debian.org. (Thu, 26 May 2011 02:18:05 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions 2.6.39-1+b1. Request was from Phil Miller <unmobile@gmail.com> to control@bugs.debian.org. (Thu, 26 May 2011 02:18:06 GMT) Full text and rfc822 format available.

Removed tag(s) moreinfo. Request was from Phil Miller <mille121@illinois.edu> to control@bugs.debian.org. (Thu, 26 May 2011 02:21:03 GMT) Full text and rfc822 format available.

Removed tag(s) wontfix. Request was from Phil Miller <mille121@illinois.edu> to control@bugs.debian.org. (Thu, 26 May 2011 02:21:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>:
Bug#627951; Package nvidia-kernel-dkms. (Thu, 26 May 2011 09:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
Extra info received and forwarded to list. Copy sent to Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>. (Thu, 26 May 2011 09:21:04 GMT) Full text and rfc822 format available.

Message #30 received at 627951@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: Phil Miller <unmobile@gmail.com>
Cc: 627951@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#627951: linux-image-2.6.39-1-amd64: Resume from hibernate reboots after loading pages from disk
Date: Thu, 26 May 2011 11:19:15 +0200
found 627951 270.41.06-1
tags 627951 + moreinfo
thanks

On Thursday, 26. May 2011 04:15:26 Phil Miller wrote:
> When I switched away from the proprietary Nvidia driver, the problem
> disappeared (two successful hibernate/resume cycles in a row). So it
> looks like the issue is probably on Nvidia's side. I haven't found
> anything else on the net about this yet, though.

Please retry with 270.41.19-1. If the problem still exists, please report this 
directly to NVIDIA, there is nothing we can do about this here.

http://www.nvnews.net/vbulletin/showthread.php?t=46678


Andreas




Bug Marked as found in versions nvidia-graphics-drivers/270.41.06-1. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Thu, 26 May 2011 09:21:11 GMT) Full text and rfc822 format available.

Added tag(s) moreinfo. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Thu, 26 May 2011 09:21:12 GMT) Full text and rfc822 format available.

Added tag(s) upstream. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Thu, 26 May 2011 09:36:49 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>:
Bug#627951; Package nvidia-kernel-dkms. (Sun, 29 May 2011 00:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Phil Miller <mille121@illinois.edu>:
Extra info received and forwarded to list. Copy sent to Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>. (Sun, 29 May 2011 00:45:03 GMT) Full text and rfc822 format available.

Message #41 received at 627951@bugs.debian.org (full text, mbox):

From: Phil Miller <mille121@illinois.edu>
To: 627951@bugs.debian.org
Subject: Re: Bug#627951: linux-image-2.6.39-1-amd64: Resume from hibernate reboots after loading pages from disk
Date: Sat, 28 May 2011 16:41:15 -0800
I'll be traveling for the next ~week, and so won't be able to test
during that time. When I'm in front of my computer again, I'll try the
instructions given with the latest versions available at that time.
Sorry for the delay :-/

On Thu, May 26, 2011 at 01:19, Andreas Beckmann <debian@abeckmann.de> wrote:
> found 627951 270.41.06-1
> tags 627951 + moreinfo
> thanks
>
> On Thursday, 26. May 2011 04:15:26 Phil Miller wrote:
>> When I switched away from the proprietary Nvidia driver, the problem
>> disappeared (two successful hibernate/resume cycles in a row). So it
>> looks like the issue is probably on Nvidia's side. I haven't found
>> anything else on the net about this yet, though.
>
> Please retry with 270.41.19-1. If the problem still exists, please report this
> directly to NVIDIA, there is nothing we can do about this here.
>
> http://www.nvnews.net/vbulletin/showthread.php?t=46678
>
>
> Andreas
>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>:
Bug#627951; Package nvidia-kernel-dkms. (Sun, 29 May 2011 07:51:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
Extra info received and forwarded to list. Copy sent to Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>. (Sun, 29 May 2011 07:51:15 GMT) Full text and rfc822 format available.

Message #46 received at 627951@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: Phil Miller <mille121@illinois.edu>
Cc: 627951@bugs.debian.org
Subject: Re: Bug#627951: linux-image-2.6.39-1-amd64: Resume from hibernate reboots after loading pages from disk
Date: Sun, 29 May 2011 09:49:45 +0200
Two new driver versions are available:
  * 270.41.19-1 (release) in unstable
  * 275.09-1 (beta) in experimental
Please try them.


Andreas





Bug Marked as found in versions nvidia-graphics-drivers/275.09.04-1. Request was from Phil Miller <mille121@illinois.edu> to control@bugs.debian.org. (Sun, 12 Jun 2011 18:33:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>:
Bug#627951; Package nvidia-kernel-dkms. (Mon, 01 Aug 2011 21:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
Extra info received and forwarded to list. Copy sent to Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>. (Mon, 01 Aug 2011 21:45:03 GMT) Full text and rfc822 format available.

Message #53 received at 627951@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: 627951@bugs.debian.org
Cc: Phil Miller <mille121@illinois.edu>
Subject: Re: Bug#627951: linux-image-2.6.39-1-amd64: Resume from hibernate reboots after loading pages from disk
Date: Mon, 01 Aug 2011 23:39:43 +0200
The following new NVIDIA driver versions are available:
  * 275.09.07-5 (release) in testing
  * 275.21-1 (release) in unstable
  * 280.11-1 (beta) in experimental
Please test them.


Andreas




Information forwarded to debian-bugs-dist@lists.debian.org, Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>:
Bug#627951; Package nvidia-kernel-dkms. (Tue, 16 Aug 2011 23:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gilles Grandou <gilles@grandou.net>:
Extra info received and forwarded to list. Copy sent to Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>. (Tue, 16 Aug 2011 23:27:03 GMT) Full text and rfc822 format available.

Message #58 received at 627951@bugs.debian.org (full text, mbox):

From: Gilles Grandou <gilles@grandou.net>
To: 627951@bugs.debian.org
Subject: Re: Bug#627951: linux-image-2.6.39-1-amd64: Resume from hibernate
Date: Tue, 16 Aug 2011 19:27:13 +0200
I'm experiencing the same issue on my lenovo T410.

starting from debian kernel 2.6.39, resume from hibernate almost always 
leads to a reset upon resume from hibernate.

The issue sitll exists today with update testing 
(linux-image-3.0.0-1-amd64 3.0.0-1-amd64 and nvidia-kernel-dkms 280.13-1)

I was suspecting nvidia driver as well, so I've switched nouveau driver 
(which is a bit of regression in term of features, but well, it's 
another story).

2 or 3 resumes went fine, but I've started to experience spurious reset 
as well. so nvidia driver might not be so guilty.

I've tried to bisect kernel between linus' 2.6.39 (good) and 3.0.0-rc1 
(bad), but after numerous iterations, I've ended up nowhere on pausible 
candidate.

Anyway, the good/bad iterations led me to suspect wifi merges into 
linus' tree.

so that, I've made experiments by rmmod'ing iwlagn module before going 
to hibernate. So far, I no longer experience bad resumes!

Here is my "fix" file:
-------------------------------------------------
$ cat /etc/pm/sleep.d/80_fix_buggy_iwlagn
#!/bin/sh

# gg.
# remove iwlagn upon hibernation

PATH=/sbin:/usr/sbin:/bin:/usr/bin

case "${1}" in
        hibernate)
         	modprobe -r iwlagn
                ;;
        resume|thaw)
		modprobe iwlagn
                ;;
esac
-------------------------------------------------

Could other affected people try this to see if we are speaking about the 
same issue or not ?

Gilles.





Information forwarded to debian-bugs-dist@lists.debian.org, Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>:
Bug#627951; Package nvidia-kernel-dkms. (Sat, 03 Sep 2011 19:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Phil Miller <mille121@illinois.edu>:
Extra info received and forwarded to list. Copy sent to Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>. (Sat, 03 Sep 2011 19:39:03 GMT) Full text and rfc822 format available.

Message #63 received at 627951@bugs.debian.org (full text, mbox):

From: Phil Miller <mille121@illinois.edu>
To: 627951@bugs.debian.org
Subject: Some success
Date: Sat, 3 Sep 2011 12:36:02 -0700
I've just upgraded to kernel 3.0.0-1-amd64 and nvidia bits 280.13, and
was able to successfully hibernate and resume once. Previously, this
bug manifested on every attempt, so things are definitely improved.
I'll keep an eye out for this over the next few days, and see if it
recurs at all.

As for the potential effect of wireless, that may indeed be a
confounding factor, but if so, it's at a lower level of the stack than
iwlagn, since I'm using different wifi hardware, supported by
rt2800usb.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>:
Bug#627951; Package nvidia-kernel-dkms. (Sun, 27 Nov 2011 17:54:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Phil Miller <mille121@illinois.edu>:
Extra info received and forwarded to list. Copy sent to Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>. (Sun, 27 Nov 2011 17:54:05 GMT) Full text and rfc822 format available.

Message #68 received at 627951@bugs.debian.org (full text, mbox):

From: Phil Miller <mille121@illinois.edu>
To: 627951@bugs.debian.org
Subject: 627951: Not seeing it now
Date: Sun, 27 Nov 2011 11:49:22 -0600
I just tested this again, against kernel 3.1.0-1 and nvidia bits
290.10-1, again with the ralink wiki adapter. I went through a few
hibernate/resume cycles with no spurious reboots on recovery. I don't
know if this means anything was fixed, or simply that the current
Nvidia driver no longer exposes it, but I'm no longer in a position to
test it, since the new stuff doesn't show it.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>:
Bug#627951; Package nvidia-kernel-dkms. (Thu, 01 Dec 2011 21:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gilles Grandou <gilles@grandou.net>:
Extra info received and forwarded to list. Copy sent to Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>. (Thu, 01 Dec 2011 21:48:03 GMT) Full text and rfc822 format available.

Message #73 received at 627951@bugs.debian.org (full text, mbox):

From: Gilles Grandou <gilles@grandou.net>
To: 627951@bugs.debian.org
Subject: #627951: gone away since kernel 3.1.0-1
Date: Thu, 01 Dec 2011 21:40:18 +0100
Since the upgrade of linux-image-3.1.0-1-amd64 to 3.1.1-1 in testing 10 
days ago, I no longer experience sporadic resets upon resume from hibernate.

nvidia-graphics-drivers packages version is 280.13.really.275.36-1.

The issue is solved on my side.

Gilles.




Reply sent to Andreas Beckmann <debian@abeckmann.de>:
You have taken responsibility. (Fri, 02 Dec 2011 10:42:18 GMT) Full text and rfc822 format available.

Notification sent to Phil Miller <unmobile+debbugs@gmail.com>:
Bug acknowledged by developer. (Fri, 02 Dec 2011 10:42:23 GMT) Full text and rfc822 format available.

Message #78 received at 627951-done@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: Gilles Grandou <gilles@grandou.net>, 627951-done@bugs.debian.org
Subject: Re: Bug#627951: #627951: gone away since kernel 3.1.0-1
Date: Fri, 02 Dec 2011 11:39:46 +0100
On 2011-12-01 21:40, Gilles Grandou wrote:
> Since the upgrade of linux-image-3.1.0-1-amd64 to 3.1.1-1 in testing 10
> days ago, I no longer experience sporadic resets upon resume from
> hibernate.
> 
> nvidia-graphics-drivers packages version is 280.13.really.275.36-1.
> 
> The issue is solved on my side.

Thanks for the news!

Andreas




Removed tag(s) upstream and moreinfo. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Fri, 02 Dec 2011 11:00:11 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 31 Dec 2011 07:37:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 19:11:18 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.